Bug 204523 - Evolution/gdk-pixbuf crash when previewing a particular (spam) message
Evolution/gdk-pixbuf crash when previewing a particular (spam) message
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
  Show dependency treegraph
Reported: 2006-08-29 15:11 EDT by Ville Skyttä
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-06 00:26:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
The offending message, gzipped (18.84 KB, application/octet-stream)
2006-08-29 15:11 EDT, Ville Skyttä
no flags Details

  None (edit)
Description Ville Skyttä 2006-08-29 15:11:52 EDT
When previewing or viewing a particular message, evolution crashes/aborts with
these messages on the console:

(evolution-2.6:5170): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion
`pixbuf != NULL' failed
(evolution-2.6:5170): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_pixels: assertion
`pixbuf != NULL' failed
(evolution-2.6:5170): GdkPixbuf-CRITICAL **: gdk_pixbuf_get_has_alpha: assertion
`pixbuf != NULL' failed
GdkPixbuf-ERROR **: file io-gif.c: line 984 (gif_get_lzw): assertion failed:
(gdk_pixbuf_get_has_alpha (context->frame->pixbuf))

This is FC5 x86_64 with evolution-2.6.3-1.fc5.5 and gtk2-2.8.20-1.

I'm attaching the offending message.  I also have it stored in a local folder,
let me know if you want to take a look at that.

WARNING: the message is spam, and one of the attachments (Cupid.gif, which I
suppose is the one causing the problem) says it's base64 encoded, but doesn't
look like valid base64 data.  So I have no idea what it actually is, approach
with caution.
Comment 1 Ville Skyttä 2006-08-29 15:11:52 EDT
Created attachment 135163 [details]
The offending message, gzipped
Comment 2 Matthew Barnes 2006-08-29 17:30:35 EDT
Thanks for the bug report.  I'll have a look (carefully).
Comment 3 Ville Skyttä 2006-11-01 12:23:15 EST
Still crashes as of evolution-2.8.0-7.fc6.x86_64 and gtk2-2.10.4-4.fc6.x86_64,
bumping to FC6.
Comment 4 Ville Skyttä 2006-12-04 15:21:32 EST
Still crashes with evolution-, gtk2-2.10.4-6.fc6.x86_64
Comment 5 Matthew Barnes 2007-10-05 11:39:19 EDT
My apologies that I still have not investigated this one yet.  I think I
remember something like this being fixed in GTK+ recently.

Can you please re-test with Fedora 8 Test 2 or later?
Comment 6 Ville Skyttä 2007-10-05 14:39:24 EDT
I don't have a F8t* box around at the moment, and I've also switched to kmail
quite a while ago so I don't have a setup that I could test this with at the moment.

However, I suppose it'd be fairly easy for you to test it - the gzipped message
in  comment 1 looks like one that can probably be imported to evolution as a
mbox after gunzipping it.
Comment 7 Matthew Barnes 2007-10-05 15:00:17 EDT
Thanks for responding.  Didn't see your attachment there; I was just doing a
quick sweep over old bugs.  I'll try to reproduce this for myself on F8.
Comment 8 Matthew Barnes 2007-10-06 00:26:18 EDT
Tested the message in comment #1 with Evolution 2.12 and GTK+ 2.12.  You said
you thought the data in the message was not valid Base64, and sure enough the
image failed to load and Evolution displayed a missing image icon (red X) where
it should have been.  No crash either, so I'm going to close this.

Note You need to log in before you can comment on or make changes to this bug.